package fabrik.simulator.pic16f84;

import fabrik.simulator.pic16f84.interfaces.DataRegisterInterface;

public class EmptyRegister implements DataRegisterInterface {

    @Override
    public void clearBit(int f, int b) {

    }

    @Override
    public void setBit(int f, int b) {

    }

    @Override
    public void setPC(int pop) {

    }

    @Override
    public int getINTCON() {
        return 0;
    }

    @Override
    public int getPC() {
        return 0;
    }

    @Override
    public void setRegister(int file, int wRegister) {

    }

    @Override
    public void determineZeroFlag(int wRegister) {

    }

    @Override
    public int getRegister(int file) {
        return 0;
    }

    @Override
    public void setCarryFlag(int i) {

    }

    @Override
    public void setDigitCarryFlag(int i) {

    }

    @Override
    public int getCarryFlag() {
        return 0;
    }

    @Override
    public void determineCarryFlag(int result) {

    }

    @Override
    public void increasePC() {

    }

    @Override
    public void determineDigitCarryFlag(int i) {

    }

    @Override
    public int getBit(int address, int bit) {
        return 0;
    }

    @Override
    public int getDirectBit(int option, int psa) {
        return 0;
    }

    @Override
    public int getDirectRegister(int option) {
        return 0;
    }

    @Override
    public void setDirectBit(int option, int i, int i1) {

    }

    @Override
    public void setDirectRegister(int porta, int i) {

    }

    @Override
    public void resetPC() {

    }

    @Override
    public int[] getDataRegister() {
        return new int[0];
    }

    @Override
    public int getDigitCarryFlag() {
        return 0;
    }

    @Override
    public int getZeroFlag() {
        return 0;
    }

    @Override
    public int getFSR() {
        return 0;
    }

    @Override
    public void initDataRegister() {

    }

    @Override
    public int getPCL() {
        return 0;
    }

    @Override
    public int getPCLATH() {
        return 0;
    }

    @Override
    public int getSTATUS() {
        return 0;
    }

    @Override
    public void initialize(PICComponentLocator picComponents) {

    }
}
